/* Copyright (c) 2015-present, salesforce.com, inc. All rights reserved
  Licensed under BSD 3-Clause - see LICENSE.txt or git.io/sfdc-license */
import { fragmentFrom } from 'elix/src/core/htmlLiterals.js';
import { firstRender, render, template } from 'elix/src/base/internal';
import SdsButtonToggle from '@salesforce-ux/sds-button-toggle/button-toggle';
import css from './button-toggle.css';

export default class WESButtonToggle extends SdsButtonToggle {
  [render](changed) {
    super[render](changed);
    if (this[firstRender]) {
      this.insertAdjacentHTML(
        'beforeend',
        ` <wes-icon symbol="add" slot="end"></wes-icon>
          <wes-icon symbol="check" slot="end"></wes-icon>
          <wes-icon symbol="close" slot="end"></wes-icon>
        `,
      );
    }
  }

  get [template]() {
    const result = super[template];
    result.content.append(fragmentFrom.html`
        <style>
          ${css}
        </style>
      `);

    return result;
  }
}
